require "Insurgent/Traits/LoadoutMarksmanTrait"

LoadoutMarksmanTrait.description  = getText("UI_trait_LoadoutMarksmanDesc_BRITA_VERSION")

function LoadoutMarksmanTrait.OnNewGame(player)
    if not player:HasTrait("LoadoutMarksman") then
        return
    end

    local weapon = InsurgentWeaponUtil.addWeapon(player, "Base.PSG1", {"Base.Sight_G28_Scope", "Base.Laser_Red", "Base.Sling_3", "Base.Compensator"})
    InsurgentWeaponUtil.addMags(player, "Base.308StdClip", 8)
    InsurgentWeaponUtil.equipAndFullyLoadWeapon(player, weapon, "Base.308StdClip")
end
